import es
import usermsg
import playerlib

#Config
#DamageDisplay Info (1 = Only Damage, 2 = Damage and Victim, 3 = Damage, Victim, Victimhealth, 0 = Off)
dd_info = '3'

#Damage (1 = Console, 2 = Chat, 0 = Off):
#Example: [DamageDisplay] Damage: 10, Victim: Kalle Germany (90)
dd_damage = '0'

#Teamkillermessage (1 = On, 0 = Off):
#Publicmessage like: [DamageDisplay] Kalle Germany is a Teamkiller!
dd_teamkiller = '1'

#Changing this script without asking is not permitted.
#Damage Display
info = es.AddonInfo() 
info.name     = 'DamageDisplay' 
info.version  = '1.1.1' 
info.url      = 'http://addons.eventscripts.com/addons/view/DamageDisplay'
info.basename = 'DamageDisplay' 
info.author   = 'Kalle Germany' 
es.ServerVar(info.name, info.version).makepublic()

#Events
def load():
	es.ServerVar('dd_info', dd_info)
	es.ServerVar('dd_damage', dd_damage)
	es.ServerVar('dd_teamkillerdamage', dd_teamkiller)
	es.msg('#multi', '#lightgreen[DamageDisplay %s]#green Loaded' % (info.version))
	
def unload():
	es.msg('#multi', '#lightgreen[DamageDisplay %s]#green Unloaded' % (info.version))

def player_hurt(event_var):
	attacker = event_var['attacker']
	damage = event_var['dmg_health']
	victim = event_var['es_username']
	victimid = event_var['userid']
	victimhealth = event_var['es_userhealth']
	playerlibvictim = playerlib.getPlayer(victimid)
	victimstatus = playerlibvictim.isdead

	if int(dd_info) == 1:
		if attacker != victimid:
			usermsg.hudhint(attacker, 'Damage: %s' % (damage))
	if int(dd_info) == 2:
		if attacker != victimid:
			usermsg.hudhint(attacker, 'Damage: %s\nVictim: %s' % (damage, victim))
	if int(dd_info) == 3:
		if attacker != victimid:
			if victimstatus == 0:
				usermsg.hudhint(attacker, 'Damage: %s\nVictim: %s (%s)' % (damage, victim, victimhealth))
			elif victimstatus == 1:
				usermsg.hudhint(attacker, 'Damage: %s\nVictim: %s (dead)' % (damage, victim))

	if int(dd_damage) == 1:
		if attacker != victimid:
			if victimstatus == 0:
				usermsg.echo(attacker, '[DamageDisplay] Damage: %s, Victim: %s (%s)' %(damage, victim, victimhealth))
			elif victimstatus == 1:
				usermsg.echo(attacker, '[DamageDisplay] Damage: %s, Victim: %s (dead)' %(damage, victim))
	if int(dd_damage) == 2:
		if attacker != victimid:
			if victimstatus == 0:
				es.tell(attacker, '#multi', '#lightgreen[DamageDisplay]#green Damage: %s, Victim: %s (%s)' %(damage, victim, victimhealth))
			elif victimstatus == 1:
				es.tell(attacker, '#multi', '#lightgreen[DamageDisplay]#green Damage: %s, Victim: %s (dead)' %(damage, victim))
				
def player_death(event_var):
	attacker = event_var['es_attackersteamid']
	victim = event_var['es_steamid']
	attackerteam = event_var['es_attackerteam']
	victimteam = event_var['es_userteam']
	teamkillerid = event_var['attacker']
	teamkillername = es.getplayername(teamkillerid)
	if int(dd_teamkiller) == 1:
		if attacker != victim:
			if attackerteam == victimteam:
				es.msg('#multi', '#lightgreen[DamageDisplay]#green %s is a Teamkiller!' % (teamkillername))